package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 用户登录名添加唯一索引
// db.getCollection(users).createIndex({loginName: 1}, {unique: true})
// db.getCollection(article).createIndex({cid: 1})
type Article struct {
	Id      primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Cid     primitive.ObjectID `bson:"cid,omitempty" json:"cid"`     // 分类id
	Title   string             `bson:"title,omitempty" json:"title"` // 不为空
	Type    string             `bson:"type,omitempty" json:"type"`   // 类型与category对应 list,detail,download
	Cover   string             `bson:"cover,omitempty" json:"cover"`
	Summary string             `bson:"summary,omitempty" json:"summary"` // 文章摘要
	Content string             `bson:"content,omitempty" json:"content"`
	// 如果有置顶功能，则查询出最新一条的sort值，sort+1更新要置顶的，按降序排
	Sort       *int      `bson:"sort,omitempty" json:"sort"` // 排序，使用创建时间联合排序。排序按升序排，默认为0
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
