package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// db.getCollection(category).createIndexes([{pid: 1}, {isHome: 1}])
type Category struct {
	Id      primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Pid     string             `bson:"pid,omitempty" json:"pid"` // 分类的上层id // 默认为top
	Name    string             `bson:"name,omitempty" json:"name"`
	SubName string             `bson:"subName,omitempty" json:"subName"` // 副标题
	Cover   string             `bson:"cover,omitempty" json:"cover"`
	Sort    *int               `bson:"sort,omitempty" json:"sort"`     // 排序，使用创建时间联合排序。排序按升序排，默认为0
	Type    string             `bson:"type,omitempty" json:"type"`     // 分类类型 list,detail,download
	Lang    string             `bson:"lang,omitempty" json:"lang"`     // cn en
	IsHome  *bool              `bson:"isHome,omitempty" json:"isHome"` // 是否展示到首页
	// IsNav      *bool              `bson:"isNav,omitempty" json:"isNav"`   // 是否是导航页
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
